Skip to main content
POST
Verify Stylus Source Code
Arbitrum One Mainnet Arbitrum Sepolia Testnet

Authorizations

apikey
string
query
required

Your Etherscan API key.

Query Parameters

chainid
string
required

Chain ID to query, eg 42161 for Arbitrum One from our supported chains.

module
string
default:contract
required

Set to contract for this endpoint.

action
string
default:verifysourcecode
required

Set to verifysourcecode for this endpoint.

Body

application/x-www-form-urlencoded
codeformat
string
required

Use stylus for Stylus projects.

Example:

"stylus"

sourceCode
string
required

Public Git repository that hosts the Stylus source code.

Example:

"https://github.com/OffchainLabs/stylus-hello-world"

contractaddress
string
required

The address where the contract is deployed.

Example:

"0x915f0B2f34F5B5b84D1F066b398D7F0E3C2F8f83"

contractname
string
required

The contract name that matches your Stylus deployment.

Example:

"stylus_hello_world"

compilerversion
string
required

Stylus compiler version used for compilation.

Example:

"stylus:0.5.3"

licenseType
integer

License identifier from the open source license options.

Example:

3